## com.sun.grizzly
Interface ProtocolChainInstanceHandler

All Superinterfaces:
  Handler

All Known Implementing Classes:
  DefaultProtocolChainInstanceHandler

    public interface ProtocolChainInstanceHandler

extends Handler

An ProtocolChainInstanceHandler is where one or several ProtocolChain are created and cached. An ProtocolChainInstanceHandler decide if a stateless or statefull ProtocolChain needs to be created

Author:
  Jeanfrancois Arcand

Method Summary
`boolean` `offer(ProtocolChain instance)` Pool an instance of ProtocolChain.
`ProtocolChain` `poll()` Return an instance of ProtocolChain.

Method Detail

### poll

    ProtocolChain poll()

  Return an instance of ProtocolChain.

  Returns:
    `ProtocolChain`

### offer

    boolean offer(ProtocolChain instance)

  Pool an instance of ProtocolChain.

  Parameters:
    `instance` - `ProtocolChain`
  Returns:
    offer successful, (true / false) ?

Copyright © 2008 SUN Microsystems. All Rights Reserved.